//
//  ContainerViewController.swift
//  SVCDemo
//
//  Created by Merlyn on 10/3/14.
//  Copyright (c) 2014 The App Lady. All rights reserved.
//

import UIKit

class ContainerViewController: UIViewController, UISplitViewControllerDelegate {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Do any additional setup after loading the view.
        performTraitCollectionOverrideForSize(view.bounds.size)
        configureSplitVC()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    private func performTraitCollectionOverrideForSize(size: CGSize) {
        var overrideTraitCollection: UITraitCollection? = nil
        if size.width > size.height {
            overrideTraitCollection = UITraitCollection(horizontalSizeClass: .Regular)
            
            for vc in self.childViewControllers as [UIViewController] {
                setOverrideTraitCollection(overrideTraitCollection, forChildViewController: vc)
            }
            //println("The screen size.width = \(size.width) and screen size.height = \(size.height)")
        }
    }
    
    private func configureSplitVC() {
        let splitVC = self.childViewControllers[0] as UISplitViewController
        splitVC.delegate = self
        splitVC.preferredDisplayMode = UISplitViewControllerDisplayMode.AllVisible
        splitVC.preferredPrimaryColumnWidthFraction = 0.4
    }
    
    // MARK: - Split View Controller delegate function
    
    override func viewWillTransitionToSize(size: CGSize,
        withTransitionCoordinator coordinator: UIViewControllerTransitionCoordinator) {
        super.viewWillTransitionToSize(size, withTransitionCoordinator: coordinator)
        performTraitCollectionOverrideForSize(size)
    }
    
    func splitViewController(splitViewController: UISplitViewController!,
        collapseSecondaryViewController secondaryViewController:UIViewController!,
        ontoPrimaryViewController primaryViewController:UIViewController!) -> Bool {
        return true
    }

}
                   