//
//  DetailViewController.swift
//  SVCDemo
//
//  Created by Merlyn on 10/3/14.
//  Copyright (c) 2014 The App Lady. All rights reserved.
//

import UIKit


class DetailViewController: UIViewController, UIPopoverPresentationControllerDelegate {

    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var photoNameLable: UILabel!
    @IBOutlet weak var photoInfoButtonItem: UIBarButtonItem!
    
    var selectedFlower = []
    var selectedFileSize = CGFloat()
    var photoFileName : String!
    var imgWidth = Int()
    var imgHeight = Int()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        if selectedFlower.count != 0 {
            // Downcast the name optional variable, then assign it in the Label control
            if let name = selectedFlower[0] as? String {
                photoNameLable.text = name
            }
            
            // Downcast the second element in the array, then assign it to the image view control
            if let thumbNail = selectedFlower[1] as? String {
                imageView.image = MasterViewController.getPhotoFromUrl(thumbNail)
                
                // Strip the photo file name from the URL and add it to the photoFileName variable
                var objectArray = thumbNail.componentsSeparatedByString("/")
                
                photoFileName = objectArray.last
                imgWidth = Int(imageView.image!.size.width)
                imgHeight = Int(imageView.image!.size.height)
            }
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
   @IBAction func showPhotoInfo(sender: AnyObject) {
        var popoverViewController = UIStoryboard(name: "Main",
        bundle: nil).instantiateViewControllerWithIdentifier("idPopovervc") as? PopoverViewController

        popoverViewController?.modalPresentationStyle = UIModalPresentationStyle.Popover
        popoverViewController?.popoverPresentationController?.delegate = self
        popoverViewController?.popoverPresentationController?.barButtonItem = photoInfoButtonItem
        popoverViewController?.popoverPresentationController?.permittedArrowDirections = .Any
        popoverViewController?.preferredContentSize = CGSizeMake(210.0, 70.0)
        // We must present the popover's view controller befor initializing
        // the popoverviewcontroller's label control
        self.presentViewController(popoverViewController!, animated: true, completion: nil)

        if imgWidth != 0.0 {
            popoverViewController?.lblPhotoInfo.text = "File Name: \(photoFileName)\nFile Size: \(imgWidth)w x \(imgHeight)h"
        } else {
            popoverViewController?.lblPhotoInfo.text = "File Name: noimage.png\nFile Size: 250w x 250h"
        }
    }
    
    // This function is required so the Popover View Controller scene can appear as a popover on iPhone devices
    func adaptivePresentationStyleForPresentationController(controller: UIPresentationController) -> UIModalPresentationStyle {
        return UIModalPresentationStyle.None
    }
}
